package main

import (
	"go.wit.com/toolkits/tree"

	"go.wit.com/dev/andlabs/ui"
	_ "go.wit.com/dev/andlabs/ui/winmanifest"
)

func newTextbox(p, n *tree.Node) {
	if notNew(n) {
		return
	}
	newt := new(guiWidget)

	if n.State.Range.Low == 1 {
		e := ui.NewEntry()
		newt.uiEntry = e
		newt.uiControl = e

		e.OnChanged(func(spin *ui.Entry) {
			n.SetValue(spin.Text())
			me.myTree.DoUserEvent(n)
		})
	} else {
		e := ui.NewNonWrappingMultilineEntry()
		newt.uiMultilineEntry = e
		newt.uiControl = e

		e.OnChanged(func(spin *ui.MultilineEntry) {
			n.SetValue(spin.Text())
			me.myTree.DoUserEvent(n)
		})
	}
	n.TK = newt
	place(p, n)
}
